## pango-querymodules pango-querymodules — Module registration utility |

## Synopsis

`pango-querymodules` [OPTION...] [MODULE...]

## Description

pango-querymodules collects information about loadable modules for Pango and writes it to `stdout`.

If called without MODULE arguments, it looks for modules in the Pango module path, which is specified by the key `Pango/ModulesPath` in the Pango configuration database.

If called with MODULE arguments, it looks for the specified modules. The arguments may be absolute or relative paths.

At runtime, Pango looks for the loadable module information (i.e. the output of pango-querymodules) in ``libdir`/pango/1.8.0/modules.cache`.

## Options

`-?`, `--help` | Prints a short help text and exits.
`--version` | Prints version information.
`--system` | Do not load user-specific configuration.
`--update-cache` | Update the Pango module cache file directly, instead of writing the information to `stdout`.

## Environment

`PANGO_RC_FILE` | Specifies an additional rc file for the Pango configuration database, in addition to the system-wide and per-user files.

## Files

``sysconfdir`/pango/pangorc` | System-wide Pango configuration file.
``$XDG_CONFIG_HOME`/pango/pangorc` | User-specific Pango configuration file.
``libdir`/pango/1.8.0/modules.cache` | Location of the module cache file read by Pango.

## Bugs

None known yet.